Mail archive
alpine-aports

[alpine-aports] [PATCH 9/9] main/s6-linux-init: new package

From: Laurent Bercot <ska-devel_at_skarnet.org>
Date: Fri, 28 Oct 2016 18:46:05 +0200

---
 main/s6-linux-init/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 main/s6-linux-init/APKBUILD
diff --git a/main/s6-linux-init/APKBUILD b/main/s6-linux-init/APKBUILD
new file mode 100644
index 0000000..1acf3e7
--- /dev/null
+++ b/main/s6-linux-init/APKBUILD
_at_@ -0,0 +1,47 @@
+# Maintainer: Laurent Bercot <ska-devel_at_skarnet.org>
+# Contributor: Laurent Bercot <ska-devel_at_skarnet.org>
+pkgname=s6-linux-init
+pkgver=0.2.0.0
+pkgrel=0
+pkgdesc="A set of tools to create and run an s6-based init system."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="24b9b232a5bcbb6be1c592ae1c23eb6d  s6-linux-init-0.2.0.0.tar.gz"
+sha256sums="131484e61eff0e671e112f0436b13e8e7d08752f810d8bec4924a68383eee2b9  s6-linux-init-0.2.0.0.tar.gz"
+sha512sums="16c8c97b65ad533b70ed9dd189827778797dc8d0a70af0880655b5f89a1524cd9d3675cb681b99f4704d43c810a4211c9926bfeb743247d7c29559ec2f77606e  s6-linux-init-0.2.0.0.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Oct 28 2016 - 18:46:05 GMT